%define		subrel	2
%define		codename	jumbo-1

Name:		john
Version:	1.8.0
Release:	%mkrel 5
Summary:	John the Ripper password cracker
License:	GPLv2
Group:		Security
URL:		http://www.openwall.com/john/
Source:		http://www.openwall.com/john/g/%{name}-%{version}-%{codename}.tar.xz
Patch0:		john-1.8.0-jumbo-1-fix-gcc5-build.patch
# Upstream patch fixing build on non x86
Patch1:		480e95b0e449863be3e1a5b0bc634a67df28b618.patch
BuildRequires:	openssl-devel
BuildRequires:	pcap-devel
BuildRequires:	bzip2-devel

%description
John the Ripper is a fast password cracker. Its primary purpose is to
detect weak Unix passwords, but a number of other hash types are
supported as well.

%prep
%setup -q -n %{name}-%{version}-%{codename}
%autopatch -p1

%{__perl} -pi.orig -e 's|^(\#define CFG_FULL_NAME)\s.+$|$1 "%{_sysconfdir}/%{name}.conf"|' src/params.h

%build
pushd src
autoreconf -vfi
%configure2_5x \
 	CFLAGS_EXTRA="-DJOHN_SYSTEMWIDE=1" \
 	enable_native_tests=0 
%make

%install
install -Dp -m0644 run/%{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -Dp -m0755 run/%{name} %{buildroot}%{_bindir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}/
install -p -m0644 run/*.chr run/password.lst %{buildroot}%{_datadir}/%{name}/
install -p -m0644 run/*.conf %{buildroot}%{_datadir}/%{name}/

ln -s -f %{name} %{buildroot}%{_bindir}/unafs
ln -s -f %{name} %{buildroot}%{_bindir}/unique
ln -s -f %{name} %{buildroot}%{_bindir}/unshadow

%if %{?_with_cpu_fallback:1}0
install -d -m0755 -p %{buildroot}%{_libexecdir}/%{name}
install -m0700 run/%{name}-* %{buildroot}%{_libexecdir}/%{name}/
%endif

install -D -m 644 run/john.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/john

%files
%doc doc/* run/mailer
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/bash_completion.d/john
%{_bindir}/%{name}
%{_bindir}/unafs
%{_bindir}/unique
%{_bindir}/unshadow
%{_datadir}/%{name}
%if %{?_with_cpu_fallback:1}0
%{_libexecdir}/%{name}
%endif


%changelog
* Mon Nov 06 2017 zezinho <zezinho> 1.8.0-5.2.mga6
+ Revision: 1176301
- disable cpu detection to fix MGA#21772
- rebuild to ensure the bug MGA#21772

* Fri Mar 11 2016 pterjan <pterjan> 1.8.0-5.mga6
+ Revision: 988952
- Add upstream patch fixing build on non x86

* Thu Mar 10 2016 daviddavid <daviddavid> 1.8.0-4.mga6
+ Revision: 988737
- add an upstream patch to fix build against gcc5:
  * https://github.com/magnumripper/JohnTheRipper/commit/f310326a79dc869b0db1329675b1cd072798e436

  + umeabot <umeabot>
    - Rebuild for openssl
    - Mageia 6 Mass Rebuild

* Thu Jul 09 2015 guillomovitch <guillomovitch> 1.8.0-1.mga6
+ Revision: 853137
- new version 1.8.0-jumbo-1

* Tue Oct 21 2014 guillomovitch <guillomovitch> 1.7.9-9.mga5
+ Revision: 792317
- install bash completion

* Wed Oct 15 2014 umeabot <umeabot> 1.7.9-8.mga5
+ Revision: 740079
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.9-7.mga5
+ Revision: 680843
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.9-6.mga4
+ Revision: 523342
- Mageia 4 Mass Rebuild

* Sun Apr 07 2013 rtp <rtp> 1.7.9-5.mga3
+ Revision: 408917
- Use generic target when building on arm

* Sat Jan 12 2013 umeabot <umeabot> 1.7.9-4.mga3
+ Revision: 355531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 matteo <matteo> 1.7.9-3.mga3
+ Revision: 323515
- fixed/bumped release
- new version (jumbo-7)
- fixed inline issue mga#7911

  + malo <malo>
    - update RPM group

* Wed Mar 07 2012 matteo <matteo> 1.7.9-2.mga2
+ Revision: 221355
- added missing configuration files

* Wed Mar 07 2012 matteo <matteo> 1.7.9-1.mga2
+ Revision: 221341
- new version
- removed faulty lines, removed unuseful architectures
- fixed install section for arch ix86
- new spec file for updated sources

  + guillomovitch <guillomovitch>
    - spec cleanup

  + kharec <kharec>
    - Update to jumbo 4
    - imported package john


* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.6-1mdv2011.0
+ Revision: 554503
- new version

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.7.5-2mdv2010.1
+ Revision: 537328
- rebuild

* Sun Feb 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.5-1mdv2010.1
+ Revision: 512683
- new version

* Thu Jan 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.4.2-1mdv2010.1
+ Revision: 494749
- new version

* Sat Jan 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.4-1mdv2010.1
+ Revision: 485149
- new version

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.3.4-1mdv2010.0
+ Revision: 446466
- new version
- drop format error patch, merged upstream
- change patches order

* Mon Sep 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.3.1-3mdv2010.0
+ Revision: 439652
- jumbo patch (support for tens of additional hash types)

* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.3.1-2mdv2010.0
+ Revision: 438689
- fix format errors

* Mon Aug 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.3.1-1mdv2009.0
+ Revision: 270893
- new version

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.7.2-6mdv2009.0
+ Revision: 247414
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.2-4mdv2008.1
+ Revision: 136771
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.2-3mdv2007.0
+ Revision: 100417
- bump release
- fix x86_64 build
- rediff fhs patch, to really fix #21894

* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.2-1mdv2007.0
- new version

* Sat Apr 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.0.2-1mdk
- new version
- fix configuration location (fix #21894)
- drop specific mmx option, and automatically enable it for i686 and x86_64

* Wed Feb 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdk
- New release 1.7
- %%mkrel
- spec cleanup
- drop unused patches and sources
- build with default mandriva optimisations flags (if you want better
  optimisations, rebuild the source package)
- use standard build options description
- fix build without optimisations

* Mon Feb 14 2005 Abel Cheung <deaddog@mandrake.org> 1.6.37-1mdk
- New development version, with x86_64 and ppc support
- Tries optimization whenever possible, it gives me > 4x speed boost
  on my Athlon when compared with unoptimized 1.6 version
- Hope nobody is stupid enough to run it on non-MMX Pentium I
- Disable P0, devel version has PPC support, please test if it works
- Redo P1 (FHS)
- P2: Add EXTRA_CFLAGS for those who want to squeeze the last bit of
  CPU power

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.6-6mdk 
- rebuild

* Tue Mar 02 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6-5mdk
- add generic as fallback target for amd64 and others

